import java.awt.*;

public class InputDialog extends Dialog {
	private Button ok;
	private TextField nameField;
	private String name;

	public InputDialog() {
		super(new Frame(), "Sokoban", true);
		Panel text = new Panel();
		text.add(new Label("Neue Lsung! Ihr Name: "));
		nameField = new TextField(30);
		text.add(nameField);
		add(BorderLayout.NORTH, text);
		ok = new Button("Ok");
		Panel button = new Panel();
		button.add(ok);
		add(BorderLayout.SOUTH, button);
		resize(500, 120);
	}

	public boolean handleEvent(Event evt) {
		if (evt.id == Event.ACTION_EVENT) {
			name = nameField.getText();
			dispose();
		}
		return super.handleEvent(evt);
	}

	public String getName() {
		return name;
	}
}
